#include <iostream>

using namespace std;

int main()
{
    int n,zbir=0;
    cin>>n;
    int X[n],Y[n],Z[n+1];
    for(int i=0;i<n;i++){
        cin>>X[i];
    }
    for(int i=0;i<n;i++){
        cin>>Y[i];
    }
    for(int i=1;i<=n;i++){
        cin>>Z[i];
    }
    for(int i=0;i<n;i++){
        for(int j=1;j<=n;j++){
            if(X[i]==Y[Z[j]-1]){
                zbir++;
            }
        }
    }
    cout<<zbir;
    return 0;
}